/* V programu je ukazan zpusob zameny radku a transpozice matice */


#include <stdio.h>
#include <stdlib.h>
#include <time.h>

#define VEL 5   /* VEL - konstanta urcujici velikost pole */

int main()
{
 int A[VEL][VEL],B[VEL][VEL];
 int i,j,pom;
 int r1=1;
 int r2=3;

 srand( (unsigned)time( NULL ) ); /* inicializace generatoru 
                                     nahodnych cisel syst. casem */
 /* naplneni matice nahodnymi cisly */
 for (i=0;i<VEL;i++)
   for (j=0;j<VEL;j++)
     A[i][j]=(50*rand())/RAND_MAX;

 /* vypise obsah pole */
 printf("Pole A\n");
 for (i=0;i<VEL;i++)
   {
    for (j=0;j<VEL;j++)  printf("%5d", A[i][j]);
    putchar('\n');
   }

 /* kopie pole A do pole B */
 for (i=0;i<VEL;i++) 
   for (j=0;j<VEL;j++) 
     B[i][j]=A[i][j];

 /* prohozeni radku r1 a r2 u pole B */     
 for (j=0;j<VEL;j++) 
   {
    pom=B[r1][j];
    B[r1][j]=B[r2][j];  
    B[r2][j]=pom;
   } 

 /* vypise obsah pole */
 printf("Pole B\n");
 for (i=0;i<VEL;i++)
   {
    for (j=0;j<VEL;j++)  printf("%5d", B[i][j]);
    putchar('\n');
   }

 /* transpozice matice (zamena radku a sloupcu) */
 for (i=1;i<VEL;i++) 
   for (j=0;j<i;j++) 
     {
      pom=B[i][j];
      B[i][j]=B[j][i];
      B[j][i]=pom;
      }
       
 /* vypise obsah pole */
 printf("Pole B\n");
 for (i=0;i<VEL;i++)
   {
    for (j=0;j<VEL;j++)  printf("%5d", B[i][j]);
    putchar('\n');
   }


 getchar();
}
